Loading...
Searching...
No Matches
SampleFromVoxels< TreeOrAccT, 0, true > Class Template Reference

Nearest neighbor, i.e. zero order, interpolator with caching. More...

`#include <nanovdb/util/SampleFromVoxels.h>`

## Public Types

using | ValueT = typename TreeOrAccT::ValueType
using | CoordT = typename TreeOrAccT::CoordType

## Public Member Functions

| SampleFromVoxels (const TreeOrAccT &acc)
| Construction from a Tree or ReadAccessor.
const TreeOrAccT & | accessor () const
template<typename Vec3T>
ValueT | operator() (const Vec3T &xyz) const
ValueT | operator() (const CoordT &ijk) const
template<typename Vec3T>
TreeOrAccT::ValueType | operator() (const Vec3T &xyz) const

## Static Public Attributes

static const int | ORDER = 0

## Detailed Description

template<typename TreeOrAccT>
class nanovdb::SampleFromVoxels< TreeOrAccT, 0, true >

Nearest neighbor, i.e. zero order, interpolator with caching.

## Member Typedef Documentation

## CoordT

template<typename TreeOrAccT>

using CoordT = typename TreeOrAccT::CoordType

## ValueT

template<typename TreeOrAccT>

using ValueT = typename TreeOrAccT::ValueType

## Constructor & Destructor Documentation

## SampleFromVoxels()

template<typename TreeOrAccT>

SampleFromVoxels | ( | const TreeOrAccT & | acc | ) |

inline

Construction from a Tree or ReadAccessor.

## Member Function Documentation

## accessor()

template<typename TreeOrAccT>

const TreeOrAccT & accessor | ( |  | ) | const

inline

## operator()() [1/3]

template<typename TreeOrAccT>

TreeOrAccT::ValueType operator() | ( | const CoordT & | ijk | ) | const

inline

## operator()() [2/3]

template<typename TreeOrAccT>
template<typename Vec3T>

TreeOrAccT::ValueType operator() | ( | const Vec3T & | xyz | ) | const

## operator()() [3/3]

template<typename TreeOrAccT>
template<typename Vec3T>

ValueT operator() | ( | const Vec3T & | xyz | ) | const

inline

Note
  xyz is in index space space

## Member Data Documentation

## ORDER

template<typename TreeOrAccT>

const int ORDER = 0

static